using System;
using System.Collections.Generic;
using System.Text;

namespace HREngine.Bots
{
    class Sim_EX1_625 : SimTemplate //* Shadowform
    {
        // Your Hero Power becomes 'Deal 2 damage'. If already in Shadowform: 3 damage.

        CardDB.Card mindspike = CardDB.Instance.getCardDataFromID(CardDB.cardIDEnum.EX1_625t);
        CardDB.Card shatter = CardDB.Instance.getCardDataFromID(CardDB.cardIDEnum.EX1_625t2);
        public override void onCardPlay(Playfield p, bool ownplay, Minion target, int choice)
        {
            if (ownplay)
            {
                switch (p.ownHeroAblility.card.cardIDenum)
                {
                    case CardDB.cardIDEnum.EX1_625t:
                        p.ownHeroAblility.card = shatter;
                        p.ownHeroPowerAllowedQuantity++;
                        p.ownAbilityReady = true;
                        break;
                    case CardDB.cardIDEnum.EX1_625t2:
                        break;
                    default:
                        p.ownHeroAblility.card = mindspike;
                        p.ownHeroPowerAllowedQuantity++;
                        p.ownAbilityReady = true;
                        break;
                }
            }
            else
            {
                switch (p.enemyHeroAblility.card.cardIDenum)
                {
                    case CardDB.cardIDEnum.EX1_625t:
                        p.enemyHeroAblility.card = shatter;
                        p.enemyHeroPowerAllowedQuantity++;
                        p.enemyAbilityReady = true;
                        break;
                    case CardDB.cardIDEnum.EX1_625t2:
                        break;
                    default:
                        p.enemyHeroAblility.card = mindspike;
                        p.enemyHeroPowerAllowedQuantity++;
                        p.enemyAbilityReady = true;
                        break;
                }
            }
        }
    }
}